Scalable OGo (SOGo)

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004139SOGoWeb Generalpublic2017-04-09 12:352017-09-19 09:45
Reporterskrupellos 
Assigned Tofrancis 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.2.8 
Target VersionFixed in Version3.2.11 
Summary0004139: Changing password leads to XSRF validation fails
DescriptionAfter a user changes their password via the web interface and logs in again, "Request failed" messages appear in the top right corner, if XSRF validation is enabled.
Steps To Reproduce1) sogo.conf
SOGoPasswordChangeEnabled = "YES";
SOGoXSRFValidationEnabled = "YES";

2) Go to your user preferences -> General -> Password

3) Change your password

4) Logout

5) Login
Additional InformationThis is cause since there are now two XSRF-TOKEN in the cookies file. After deleting the first XSRF-TOKEN cookie, everything works again.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0012287)
Kyoshiro-san (reporter)
2017-09-12 10:09

Hello,

I'm having the exact same problem everytime I change password.
The authentication backend is a LDAP server.

Cheers

- Related Changesets
sogo: master 789398bd
Timestamp: 2017-09-19 09:44:37
Author: francis
Details ] Diff ]
(web) Fix XSRF cookie path when changing password

Fixes 0004139
mod - NEWS Diff ] File ]
mod - UI/MainUI/SOGoRootPage.m Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-04-09 12:35 skrupellos New Issue
2017-09-12 10:09 Kyoshiro-san Note Added: 0012287
2017-09-19 09:45 francis Changeset attached => sogo master 789398bd
2017-09-19 09:45 francis Assigned To => francis
2017-09-19 09:45 francis Resolution open => fixed
2017-09-19 09:45 francis Status new => resolved
2017-09-19 09:45 francis Fixed in Version => 3.2.11


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker